# Duet 3 6HC 

## HW Config

### Pins

#### IO
Used IO pin headers
* io_0 - display
* io_1 - y endstop
* io_2 - x endstop
* io_7 - bltouch

#### Stepper motors
All steppers are 0.9º

* z left - driver0 - motion backwards (looking from the back of the printer)
* z rear - driver1 - motion backwards
* z right - driver2 - motion backwards
* top right motor - driver3 - Y - motion forwards (looking from the back of the printer)
* top left motor - driver4 - X  - motion forwards 
* extruder motor - driver5  - motion forwards

#### Outputs
##### Heating elements (24v)
Heating elements in use:
* out1 - SSR Bed
* out2 - Hotend
##### Fans (24v)
Fans in use:
* out7 - hotend fan
* out4 - layer fan

#### Temperature probes
Thermal probes in use:
* temp0 - Bed thermistor
* temp1 - Hotend thermistor

## Useful links
* [GCode library](https://duet3d.dozuki.com/Wiki/Gcode)
* [RatRig vcore3 docs](https://ratrig.dozuki.com/c/Rat_Rig_V-Core_3)
